1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PSP currently 2.6 needs 2.81

Discussion in 'Sony PSP - Mod and firmware discussion' started by zappp64, Apr 22, 2007.

  1. zappp64

    zappp64 Regular member

    Joined:
    Oct 13, 2005
    Messages:
    642
    Likes Received:
    0
    Trophy Points:
    26
    Just got my PSP and when I inserted PES 6 , it asked me to upgrade system software from 2.6 to 2.81 before I can play the game

    should I upgrade or not

    also what options do I have with flashing with a custom type fimrware or should I downgrade to 1.5 - of so when I try to play PES 6 will it ask me to upgrade to 2.81

    what options do I have ?

    thanks in advance
     
  2. ggbarnum

    ggbarnum Regular member

    Joined:
    Apr 14, 2006
    Messages:
    1,432
    Likes Received:
    0
    Trophy Points:
    46
    Downgrade to 1.5 then upgrade to custom firmware using a relevant guide.

    A simple search before posting would have answered your query.
     

Share This Page